package com.ruoyi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.OrderParent;

/**
 * 父订单Mapper接口
 *
 * @author ruoyi
 * @date 2025-09-02
 */
public interface OrderParentMapper  extends BaseMapper<OrderParent>
{
    /**
     * 查询父订单
     *
     * @param id 父订单主键
     * @return 父订单
     */
    public OrderParent selectOrderParentById(Long id);

    /**
     * 查询父订单列表
     *
     * @param orderParent 父订单
     * @return 父订单集合
     */
    public List<OrderParent> selectOrderParentList(OrderParent orderParent);

    /**
     * 新增父订单
     *
     * @param orderParent 父订单
     * @return 结果
     */
    public int insertOrderParent(OrderParent orderParent);

    /**
     * 修改父订单
     *
     * @param orderParent 父订单
     * @return 结果
     */
    public int updateOrderParent(OrderParent orderParent);

    /**
     * 删除父订单
     *
     * @param id 父订单主键
     * @return 结果
     */
    public int deleteOrderParentById(Long id);

    /**
     * 批量删除父订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderParentByIds(Long[] ids);
}
